# Data Commons Pandas API

This is a Python library for creating pandas objects with data in the
Data Commons Graph.

To get started, install this package from pip.

```bash
pip install datacommons_pandas
```

Once the package is installed, import `datacommons_pandas`.

```python
import datacommons_pandas as dcpd
```

For more detail on getting started with the API, please visit our
[API Overview](https://docs.datacommons.org/api/pandas/).

When you are ready to use the API, you can refer to `examples` for
examples on how to use this package to perform various tasks. More tutorials and
documentation can be found on our [tutorials page](https://docs.datacommons.org/tutorials/)!

## About Data Commons

[Data Commons](https://datacommons.org/) is an open knowledge repository that
provides a unified view across multiple public data sets and statistics. You can
view what [datasets](https://datacommons.org/datasets) are currently ingested
and browse the graph using our [browser](https://datacommons.org/browser).

## License

Apache 2.0

## Support

For general questions or issues about the API, please open an issue on our
[issues](https://github.com/datacommonsorg/api-python/issues) page. For all other
questions, please send an email to `support@datacommons.org`.
